Bug 60877 - Pivot table numeric value is hidden by the combobox
Summary: Pivot table numeric value is hidden by the combobox
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All All
: medium normal
Assignee: Markus Mohrhard
URL: http://nabble.documentfoundation.org/...
Whiteboard: target:4.1.0.1 target:4.2.0 target:4.0.5
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2013-02-15 08:35 UTC by Renovatio
Modified: 2015-12-17 07:11 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Image illustrating the situation. (71.97 KB, image/png)
2013-02-15 08:35 UTC, Renovatio
Details
ODS spreadsheet with pivot table replicating the example (9.43 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-02-15 15:06 UTC, Pedro
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Renovatio 2013-02-15 08:35:57 UTC
Created attachment 74855 [details]
Image illustrating the situation.

Pivot table if a page field is numeric, the value is hidden by the combobox

It is a regression from version 3.6.x
Comment 1 Pedro 2013-02-15 15:06:47 UTC
Created attachment 74872 [details]
ODS spreadsheet with pivot table replicating the example
Comment 2 Pedro 2013-02-15 15:08:55 UTC
This is a regression from version 3.6
Opening the attached ODS file in Calc version 3.6 does not show the same problem, i.e. the year is displayed to the left of the combobox button.
Comment 3 Joel Madero 2013-05-27 18:16:04 UTC
67ec75c69c10fef889576ea5fbe7646d5eb80c29 is the first bad commit
commit 67ec75c69c10fef889576ea5fbe7646d5eb80c29
Author: Jean-Baptiste Lallement <jean-baptiste.lallement@canonical.com>
Date:   Tue Feb 5 16:51:17 2013 +0000

    source-hash-2551fec6d2a73d10cfa2aec85ae7d00e237e0294
    
    commit 2551fec6d2a73d10cfa2aec85ae7d00e237e0294
    Author:     Noel Power <noel.power@suse.com>
    AuthorDate: Thu Dec 13 16:26:58 2012 +0000
    Commit:     Noel Power <noel.power@suse.com>
    CommitDate: Thu Dec 13 16:54:07 2012 +0000
    
        fix fdo#58237 import hyperlinks for shapes in xlsx documents
    
        Change-Id: Ib0c661dbb3ce9a2f8c8d29707a1cf0c65aadc81f

:100644 100644 5ca129dfd508a17f202305eeb4815fb7d9658ab7 b9d46e1a0972eaf1cc564e568bef0260e4e2b350 M	ccache.log
:100644 100644 1da091c4c80d172e927d771fd405172dc5a501e3 9259a0cf3daf61332f21c9c0cd1b6a87819a97f7 M	commitmsg
:100644 100644 ca220cc94e62bd97cbe92dbeb1aa045f945c1ca5 03744e7909a710b85fcd138512c8bde2c49dc5fd M	dev-install.log
:100644 100644 cf0cc4d773b143e534327d634ba1183cc1447c47 2e55653beb4afc158fe0023e5c7452102d5cae7b M	make.log
:040000 040000 bb94ec3bf755abf77bf167f41763e29cc683ee20 1b2afbfcc4f1e6534557b56473d4ce5ddb76c9a6 M	opt


# bad: [68ce28f8d3ca05b1329580ed9f3e6ba0c82fbb26] source-hash-9f0f289c51765c671cbc8ef317c81e6fa42c6718
# good: [c57c26517852e6d0c4ea75775db98f6d9b93561d] root
git bisect start 'latest' 'oldest'
# bad: [82f40a7baab8fa06ffaa3f9182542521d36da341] source-hash-323c5ee69d5814f8400c0af3038023df9336b59c
git bisect bad 82f40a7baab8fa06ffaa3f9182542521d36da341
# bad: [d92cb222b5c64d906fec4d633bb304d1eb6916d5] source-hash-c2e3d09bb740749e1a6e045ff08bf32e5812fa9e
git bisect bad d92cb222b5c64d906fec4d633bb304d1eb6916d5
# good: [4a235115e3732662112e07d7fc132e8135da2e5c] source-hash-56ec8f4ef1935af73b874ab11928bac4c867b40a
git bisect good 4a235115e3732662112e07d7fc132e8135da2e5c
# good: [336f37b1f5c47ba88efc1a072882d3a7f2acebe4] source-hash-1b6598c9e71cdabbdf73a15c5033c0f33d071be5
git bisect good 336f37b1f5c47ba88efc1a072882d3a7f2acebe4
# good: [ca7b2d20dca225305b0811f55ff17e7965ccf43e] source-hash-b552f521f6bbf917ae41ccfcddeb498c75c824e3
git bisect good ca7b2d20dca225305b0811f55ff17e7965ccf43e
# bad: [1052ac38cca720aae33fe25886c7bb840479c32f] source-hash-32e7b29f51c4f6bce08a23e454ec47b83849c9df
git bisect bad 1052ac38cca720aae33fe25886c7bb840479c32f
# bad: [67ec75c69c10fef889576ea5fbe7646d5eb80c29] source-hash-2551fec6d2a73d10cfa2aec85ae7d00e237e0294
git bisect bad 67ec75c69c10fef889576ea5fbe7646d5eb80c29
Comment 4 Commit Notification 2013-06-07 03:42:21 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d445d7a60daa40b7d304fa24df9b06144b038c21&h=libreoffice-4-1

don't hide cell content behind pivot table buttons, fdo#60877


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2013-06-07 03:42:39 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=61ba279242ef4ee8f8989c26c6c7291e07949ada

don't hide cell content behind pivot table buttons, fdo#60877



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Markus Mohrhard 2013-06-07 03:44:56 UTC
Pending review for 4-0.
Comment 7 Commit Notification 2013-06-07 03:51:44 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6fadc3a2d8d95088bc07f9064bf262f8c7d30577&h=libreoffice-4-0

don't hide cell content behind pivot table buttons, fdo#60877


It will be available in LibreOffice 4.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Robinson Tryon (qubit) 2015-12-17 07:11:58 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]